#include <stdio.h>
#include <string.h>
#include <time.h>
 

#include "manhat-lib/shared_util.h"
#include "manhat-lib/shared_super_util.h"
#include "manhat-lib/shared_super_menu.h"



void
read_parameters( char *key, int *first)
{
   char temp[10];

   cs_get_required_parameter ("id", key, MAX_KEY);
   cs_get_optional_parameter ("first", temp, 9);
   *first = atoi(temp);
}




int
main ()
{
  char key[MAX_KEY +1];
  SESSION user;
  int first;

  cs_cgi_init();
  read_parameters( key, &first);   
  validate_super_key(key, &user);

  set_admin_page(&user, key, first, "super_admin_page"); /* shared_super_menu.c */

  cs_cgi_display("super_admin_page", 1);
  cs_cgi_destroy();
  return 0;
}

